Subject: Re: New platform independent problem
From: Corinna Vinschen <[email-masked]>
To: [email-masked]
Cc: [email-masked], Eli Zaretskii <[email-masked]>
Date: Sat, 28 Jan 2006 15:18:03 +0100

On Jan 20 19:22, Eli Zaretskii wrote:
> > From: Eric Blake
> > As long as we are editing programs, we might as well teach them to
> > respect a sentinel of -1 without having to resort to adding a
> > nonstandard entry point.
> 
> I don't see how this is better: -1 is an arbitrarily picked value,
> with no relation to any standard.  Why should applications learn about
> it?

FYI, I've applied a rather big patch which reintroduced d_ino and which
tries hard to generate correct (aka "identical to stat(2)") inode numbers
for d_ino on all systems.  This includes a slightly expensive method to
determine inode numbers in a couple of situations(*):

- local NTFS on NT4
- remote NTFS on Win2K
- remote NT4/Win2K NTFS on XP and above.

While I tried to optimize the expensive inode evaluation as much as
possible, a certain slow down in the above situations might have been
unavoidable.

For the adventurous of you, try the next developer's snapshot of Cygwin
from http://cygwin.com/snapshots/

Corinna

(*) For the curious, the above situations are determined by the
    OS support of the FileIdBothDirectoryInformation flag in calls
    to NtQueryDirectoryFile.

-- 
Corinna Vinschen                  Please, send mails regarding Cygwin to
Cygwin Project Co-Leader          cygwin AT cygwin DOT com
Red Hat

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/